## qt6-sensors 6.8.1

=== debian/changelog ===
qt6-sensors (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:53:05 -0600

=== debian/control ===
Source: qt6-sensors
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.1+dfsg~),
               qt6-base-private-dev (>= 6.8.1+dfsg~),
               qt6-declarative-dev (>= 6.8.1+dfsg~),
               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
               qt6-svg-dev (>= 6.8.1~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
Rules-Requires-Root: no

Package: libqt6sensors6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: qml6-module-qtsensors
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6sensorsquick6 (<< 6.6.1-2),
Replaces: libqt6sensorsquick6 (<< 6.6.1-2),
Description: Qt 6 Sensors QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Sensors QML module for Qt Declarative.

Package: qt6-sensors-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6sensors6 (= ${binary:Version}),
         qml6-module-qtsensors (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6sensors6-dev (<< 6.4.1-2~),
Replaces: libqt6sensors6-dev (<< 6.4.1-2~),
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.

Package: qt6-sensors-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Sensors documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Sensors.

Package: qt6-sensors-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Sensors HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Sensors.

Package: qt6-sensors-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Description: Qt 6 Sensors tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Sensors
 documentation.

Package: qt6-sensors-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Sensors examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Sensors submodule.

## qt6-sensors 6.8.2

=== debian/changelog ===
qt6-sensors (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:06:59 +0100

qt6-sensors (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 12:12:16 +0100

qt6-sensors (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 17:58:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: qt6-sensors
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Lu YaNing <dluyaning@gmail.com>,
-           Simon Quigley <tsimonq2@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-svg-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-svg-dev (>= 6.8.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
@@ -35,8 +34,8 @@
 Package: libqt6sensors6
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Sensors library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -46,10 +45,10 @@
 Package: qml6-module-qtsensors
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Breaks: libqt6sensorsquick6 (<< 6.6.1-2),
-Replaces: libqt6sensorsquick6 (<< 6.6.1-2),
+Breaks: libqt6sensorsquick6 (<< 6.6.1-2)
+Replaces: libqt6sensorsquick6 (<< 6.6.1-2)
 Description: Qt 6 Sensors QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -64,8 +63,8 @@
          qml6-module-qtsensors (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
-Breaks: libqt6sensors6-dev (<< 6.4.1-2~),
-Replaces: libqt6sensors6-dev (<< 6.4.1-2~),
+Breaks: libqt6sensors6-dev (<< 6.4.1-2~)
+Replaces: libqt6sensors6-dev (<< 6.4.1-2~)
 Description: Qt 6 Sensors - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-sensors 6.8.3

=== src/sensors/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Sensors Module:
#####################################################################

qt_internal_add_module(Sensors
    PLUGIN_TYPES sensors
    SOURCES
    qsensorbackend.cpp qsensorbackend.h
    qsensormanager.cpp qsensormanager.h
    qsensorplugin.cpp qsensorplugin.h
    qsensorsglobal.h
    sensorlog_p.h
    qsensor.h
    qaccelerometer.h
    qambientlightsensor.h
    qambienttemperaturesensor.h
    qcompass.h
    qlightsensor.h
    qmagnetometer.h
    qorientationsensor.h
    qproximitysensor.h
    qirproximitysensor.h
    qrotationsensor.h
    qtapsensor.h
    qtiltsensor.h
    qgyroscope.h
    qpressuresensor.h
    qhumiditysensor.h
    qlidsensor.h
    qsensor_p.h
    qaccelerometer_p.h
    qambientlightsensor_p.h
    qambienttemperaturesensor_p.h
    qcompass_p.h
    qlightsensor_p.h
    qmagnetometer_p.h
    qorientationsensor_p.h
    qproximitysensor_p.h
    qirproximitysensor_p.h
    qrotationsensor_p.h
    qtapsensor_p.h
    qtiltsensor_p.h
    qgyroscope_p.h
    qpressuresensor_p.h
    qhumiditysensor_p.h
    qlidsensor_p.h
    qsensor.cpp
    qaccelerometer.cpp
    qambientlightsensor.cpp
    qambienttemperaturesensor.cpp
    qcompass.cpp
    qlightsensor.cpp
    qmagnetometer.cpp
    qorientationsensor.cpp
    qproximitysensor.cpp
    qirproximitysensor.cpp
    qrotationsensor.cpp
    qtapsensor.cpp
    qtiltsensor.cpp
    qgyroscope.cpp
    qpressuresensor.cpp
    qhumiditysensor.cpp
    qlidsensor.cpp
    DEFINES
        $<$<CONFIG:Debug>:ENABLE_RUNTIME_SENSORLOG>
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

if(ANDROID)
    set_property(TARGET Sensors APPEND PROPERTY QT_ANDROID_LIB_DEPENDENCIES
        ${INSTALL_PLUGINSDIR}/sensors/libplugins_sensors_qtsensors_android.so
    )
endif()

## Scopes:
#####################################################################

qt_internal_extend_target(Sensors CONDITION SENSORS_CONFIG_PATH
    DEFINES
        QTSENSORS_CONFIG_PATH="${SENSORS_CONFIG_PATH}"
)

qt_internal_add_docs(Sensors
    doc/qtsensors.qdocconf
)

=== tests/manual/sensor_explorer_widgets/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## sensor_explorer Binary:
#####################################################################

qt_internal_add_manual_test(tst_manual_sensor_explorer_widgets
    GUI
    SOURCES
        explorer.cpp explorer.h explorer.ui
        main.cpp
    LIBRARIES
        Qt::Sensors
        Qt::Widgets
    ENABLE_AUTOGEN_TOOLS
        uic
)

=== src/plugins/sensors/generic/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## genericSensorPlugin Plugin:
#####################################################################

qt_internal_add_plugin(genericSensorPlugin
    OUTPUT_NAME qtsensors_generic
    PLUGIN_TYPE sensors
    SOURCES
        genericalssensor.cpp genericalssensor.h
        genericorientationsensor.cpp genericorientationsensor.h
        generictiltsensor.cpp generictiltsensor.h
        main.cpp
    DEFINES
        QTSENSORS_GENERICALSSENSOR
        QTSENSORS_GENERICORIENTATIONSENSOR
        QTSENSORS_GENERICTILTSENSOR
    LIBRARIES
        Qt::Core
        Qt::Sensors
)

#### Keys ignored in scope 1:.:.:generic.pro:<TRUE>:
# OTHER_FILES = "plugin.json"

## Scopes:
#####################################################################

qt_internal_extend_target(genericSensorPlugin CONDITION NOT ANDROID
    SOURCES
        genericrotationsensor.cpp genericrotationsensor.h
    DEFINES
        QTSENSORS_GENERICROTATIONSENSOR
)

=== src/sensors/doc/snippets/sensors/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(sensorsdocsnippet LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Sensors)

qt_add_executable(sensorsdocsnippet
    creating.cpp
    main.cpp
    mybackend.h
    plugin.cpp
    start.cpp
    myreading.cpp
)

target_link_libraries(sensorsdocsnippet PUBLIC
        Qt::Sensors
)

if (GCC AND UNIX)
    target_link_libraries(sensorsdocsnippet PUBLIC
        rdynamic
        log
    )
endif()

qt_autogen_tools(sensorsdocsnippet ENABLE_AUTOGEN_TOOLS moc rcc uic)

=== debian/changelog ===
qt6-sensors (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:24:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-sensors
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Lu YaNing <dluyaning@gmail.com>,
            Simon Quigley <tsimonq2@debian.org>
@@ -16,11 +17,11 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-svg-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-svg-dev (>= 6.8.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,

## qt6-sensors 6.9.1

=== debian/changelog ===
qt6-sensors (6.9.1-0zneon+24.04+noble+stable+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 15:35:21 +0000

qt6-sensors (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:41:09 +1000

qt6-sensors (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:12:01 +1000

qt6-sensors (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:25:16 +1000

qt6-sensors (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:31:59 +1000

qt6-sensors (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:22:14 +1000

qt6-sensors (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:10:17 +1000

qt6-sensors (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:20:11 +1000

qt6-sensors (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 16:36:32 +1000

=== debian/control ===
Source: qt6-sensors
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qml6-module-qtquick (>= 6.9.1~),
               qml6-module-qttest (>= 6.9.1~),
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~),
               qt6-svg-dev (>= 6.9.1~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-sensors.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-sensors
Maintainer: Neon CI <neon@kde.org>

Package: qt6-sensors
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6sensorsquick6 (<< 6.6.1~)
Replaces: libqt6sensors6, libqt6sensorsquick6, qml6-module-qtsensors
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: qt6-sensors-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-sensors (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqt6sensors6-dev
Replaces: libqt6sensors6-dev, qt6-sensors-doc-dev, qt6-sensors-examples
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.

Package: qt6-sensors-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-sensors-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-sensors-doc-html
Description: Qt 6 Sensors - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt Sensors library.

Package: libqt6sensors6
Architecture: all
Depends: qt6-sensors, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtsensors
Architecture: all
Depends: qt6-sensors, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-doc-dev
Architecture: all
Depends: qt6-sensors-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-doc-html
Architecture: all
Depends: qt6-sensors-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-examples
Architecture: all
Depends: qt6-sensors-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtsensors-everywhere-src-([\d\.]+\d).tar.xz

## qt6-sensors 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(sensors)

qt_examples_build_end()

=== src/sensors/CMakeLists.txt ===
--- 
+++ 
@@ -92,3 +92,6 @@
     doc/qtsensors.qdocconf
 )
 
+if(QT_FEATURE_doc_snippets)
+    add_subdirectory(doc/snippets/sensors)
+endif()

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qsensor)
add_subdirectory(cmake)
if(TARGET Qt::Quick)
    add_subdirectory(qml)
endif()

=== src/plugins/sensors/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# all get generic sensor
add_subdirectory(generic)

if(ANDROID AND NOT SENSORS_PLUGINS OR "sensorfw" IN_LIST SENSORS_PLUGINS)
    add_subdirectory(android)
endif()

# Currently disabled, see src/sensors/configure.cmake
#if (QT_FEATURE_sensorfw AND NOT SENSORS_PLUGINS OR "sensorfw" IN_LIST SENSORS_PLUGINS)
#     add_subdirectory(sensorfw)
#endif()

if (QT_FEATURE_winrt_sensors AND NOT SENSORS_PLUGINS OR "winrt" IN_LIST SENSORS_PLUGINS)
    add_subdirectory(winrt)
endif()

if (IOS AND NOT SENSORS_PLUGINS OR "ios" IN_LIST SENSORS_PLUGINS)
    add_subdirectory(ios)
endif()

if(LINUX AND TARGET Qt::DBus AND NOT SENSORS_PLUGINS OR "iio-sensor-proxy" IN_LIST SENSORS_PLUGINS)
   add_subdirectory(iio-sensor-proxy)
endif()

if("dummy" IN_LIST SENSORS_PLUGINS)
   add_subdirectory(dummy)
endif()

=== tests/auto/cmake/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest

cmake_minimum_required(VERSION 3.16)
project(sensors_cmake_tests)
enable_testing()

set(required_packages Core Sensors)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the qtsensors build tree.
    # Setup paths so that the Qt packages are found.
    qt_internal_set_up_build_dir_package_paths()
endif()

find_package(Qt6 REQUIRED COMPONENTS ${required_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}")

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

include("${_Qt6CTestMacros}")

set(module_includes
    Sensors QLightSensor
    Sensors QRotationSensor
)

_qt_internal_test_module_includes(
     ${module_includes}
)

=== tests/auto/qsensor/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qsensor Test:
#####################################################################

qt_internal_add_test(tst_qsensor
    SOURCES
        ../common/test_backends.cpp ../common/test_backends.h
        test_sensor.cpp test_sensor.h test_sensor_p.h
        test_sensor2.cpp test_sensor2.h test_sensor2_p.h
        test_sensor2impl.cpp test_sensor2impl.h
        test_sensorimpl.cpp test_sensorimpl.h
        test_sensorplugin.cpp
        tst_qsensor.cpp
    DEFINES
        QT_STATICPLUGIN
    LIBRARIES
        Qt::CorePrivate
        Qt::SensorsPrivate
)

=== tests/manual/sensor_explorer_qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(tst_manual_sensor_explorer_qml LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS Qml Quick Sensors)

qt_add_executable(tst_manual_sensor_explorer_qml
    main.cpp
    sensormodels.cpp sensormodels.h
)

set_target_properties(tst_manual_sensor_explorer_qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(tst_manual_sensor_explorer_qml PUBLIC
    Qt::Qml
    Qt::Quick
    Qt::Sensors
)

qt_add_qml_module(tst_manual_sensor_explorer_qml
    URI SensorModels
    VERSION 1.0
    QML_FILES sensor_explorer.qml
    NO_RESOURCE_TARGET_PATH
)

=== tests/manual/sensorclerk/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## sensorclerk Binary:
#####################################################################

qt_internal_add_manual_test(tst_manual_sensor_clerk
    GUI
    SOURCES
        collector.cpp collector.h
        main.cpp
    LIBRARIES
        Qt::Gui
        Qt::Quick
        Qt::Sensors
)

set(qml_files
    "qml/main.qml"
)

qt_internal_add_resource(tst_manual_sensor_clerk "qml_files"
    PREFIX
        "/"
    FILES
        ${qml_files}
)

=== src/plugins/sensors/dummy/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## dummySensorPlugin Plugin:
#####################################################################

qt_internal_add_plugin(dummySensorPlugin
    OUTPUT_NAME qtsensors_dummy
    PLUGIN_TYPE sensors
    SOURCES
        dummyaccelerometer.cpp dummyaccelerometer.h
        dummycommon.cpp dummycommon.h
        dummylightsensor.cpp dummylightsensor.h
        main.cpp
    LIBRARIES
        Qt::Core
        Qt::Sensors
)

#### Keys ignored in scope 1:.:.:dummy.pro:<TRUE>:
# OTHER_FILES = "plugin.json"

## Scopes:
#####################################################################

qt_internal_extend_target(dummySensorPlugin CONDITION UNIX AND NOT ANDROID AND NOT APPLE AND NOT OPENBSD AND NOT QNX
    LIBRARIES
        rt
)

=== src/plugins/sensors/iio-sensor-proxy/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## IIOSensorProxySensorPlugin Plugin:
#####################################################################

qt_internal_add_plugin(IIOSensorProxySensorPlugin
    OUTPUT_NAME qtsensors_iio-sensor-proxy
    PLUGIN_TYPE sensors
    SOURCES
        iiosensorproxycompass.cpp iiosensorproxycompass.h
        iiosensorproxylightsensor.cpp iiosensorproxylightsensor.h
        iiosensorproxyorientationsensor.cpp iiosensorproxyorientationsensor.h
        iiosensorproxysensorbase.cpp iiosensorproxysensorbase.h
        iiosensorproxyproximitysensor.cpp iiosensorproxyproximitysensor.h
        main.cpp
    NO_UNITY_BUILD_SOURCES
        # Duplicate symbol definition between, iiosensorproxycompass.cpp, and
        # the followings
        # TODO: dbusPath() can probably be implemented as a static data member
        iiosensorproxylightsensor.cpp
        iiosensorproxyorientationsensor.cpp
        iiosensorproxyproximitysensor.cpp
    DBUS_INTERFACE_SOURCES
        org.freedesktop.DBus.Properties.xml
        net.hadess.SensorProxy.xml
        net.hadess.SensorProxy.Compass.xml
    DBUS_INTERFACE_FLAGS
        "-N"
    LIBRARIES
        Qt::Core
        Qt::DBus
        Qt::Sensors
)

#### Keys ignored in scope 1:.:.:iio-sensor-proxy.pro:<TRUE>:
# OTHER_FILES = "plugin.json" "$$DBUS_INTERFACES"
# dbus_properties.files = "org.freedesktop.DBus.Properties.xml"
# dbus_properties.header_flags = "-N"
# sensor_proxy.files = "net.hadess.SensorProxy.xml"
# sensor_proxy.header_flags = "-N"
# sensor_proxy_compass.files = "net.hadess.SensorProxy.Compass.xml"
# sensor_proxy_compass.header_flags = "-N"

## Scopes:
#####################################################################

qt_internal_extend_target(IIOSensorProxySensorPlugin CONDITION NOT ANDROID
    LIBRARIES
        rt
)

=== src/plugins/sensors/ios/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## IOSSensorPlugin Plugin:
#####################################################################

qt_internal_add_plugin(IOSSensorPlugin
    OUTPUT_NAME qtsensors_ios
    PLUGIN_TYPE sensors
    SOURCES
        main.mm
    LIBRARIES
        ${FWFoundation}
        Qt::Core
        Qt::Sensors
)

#### Keys ignored in scope 1:.:.:ios.pro:<TRUE>:
# OTHER_FILES = "plugin.json"

## Scopes:
#####################################################################

set_target_properties(IOSSensorPlugin
    PROPERTIES
        DISABLE_PRECOMPILE_HEADERS ON
)

qt_internal_extend_target(IOSSensorPlugin CONDITION IOS AND UIKIT
    SOURCES
        ioscompass.h ioscompass.mm
    DEFINES
        HAVE_COMPASS
    LIBRARIES
        ${FWCoreLocation}
)

qt_internal_extend_target(IOSSensorPlugin CONDITION UIKIT AND NOT TVOS
    SOURCES
        iosaccelerometer.h iosaccelerometer.mm
        iosgyroscope.h iosgyroscope.mm
        iosmagnetometer.h iosmagnetometer.mm
        iospressure.h iospressure.mm
        iosmotionmanager.h iosmotionmanager.mm
    DEFINES
        HAVE_COREMOTION
    LIBRARIES
        ${FWCoreMotion}
)

qt_internal_extend_target(IOSSensorPlugin CONDITION UIKIT AND NOT WATCHOS
    SOURCES
        iosproximitysensor.h iosproximitysensor.mm
    DEFINES
        HAVE_UIDEVICE
    LIBRARIES
        ${FWUIKit}
)

=== tests/auto/qml/qml_cpp/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_sensors_qmlcpp
    SOURCES
        ../../common/test_backends.cpp ../../common/test_backends.h
        tst_sensors_qmlcpp.cpp
    LIBRARIES
        Qt::Qml
        Qt::SensorsPrivate
        Qt::SensorsQuickPrivate
        Qt::TestPrivate
)

=== debian/changelog ===
qt6-sensors (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 Oct 2025 23:05:14 +0100

qt6-sensors (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:02:21 +0200

qt6-sensors (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 20:55:19 +0200

qt6-sensors (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 13:22:24 +0200

qt6-sensors (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 23 Jul 2025 16:34:29 +0200

=== debian/control ===
Source: qt6-sensors
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
               qt6-svg-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git

Package: libqt6sensors6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: qml6-module-qtsensors
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6sensorsquick6 (<< 6.6.1-2),
Replaces: libqt6sensorsquick6 (<< 6.6.1-2),
Description: Qt 6 Sensors QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Sensors QML module for Qt Declarative.

Package: qt6-sensors-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6sensors6 (= ${binary:Version}),
         qml6-module-qtsensors (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6sensors6-dev (<< 6.4.1-2~),
Replaces: libqt6sensors6-dev (<< 6.4.1-2~),
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.

Package: qt6-sensors-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Sensors documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Sensors.

Package: qt6-sensors-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Sensors HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Sensors.

Package: qt6-sensors-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Description: Qt 6 Sensors tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Sensors
 documentation.

Package: qt6-sensors-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Sensors examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Sensors submodule.

## qt6-sensors 6.9.3

=== debian/changelog ===
qt6-sensors (6.9.3-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 04 Nov 2025 23:40:51 +0000

qt6-sensors (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-sensors (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:58:42 +1000

=== debian/control ===
Source: qt6-sensors
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qml6-module-qtquick (>= 6.9.3~),
               qml6-module-qttest (>= 6.9.3~),
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-svg-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-sensors.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-sensors
Maintainer: Neon CI <neon@kde.org>

Package: qt6-sensors
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6sensorsquick6 (<< 6.6.1~)
Replaces: libqt6sensors6, libqt6sensorsquick6, qml6-module-qtsensors
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: qt6-sensors-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-sensors (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqt6sensors6-dev
Replaces: libqt6sensors6-dev, qt6-sensors-doc-dev, qt6-sensors-examples
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.

Package: qt6-sensors-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-sensors-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-sensors-doc-html
Description: Qt 6 Sensors - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt Sensors library.

Package: libqt6sensors6
Architecture: all
Depends: qt6-sensors, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtsensors
Architecture: all
Depends: qt6-sensors, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-doc-dev
Architecture: all
Depends: qt6-sensors-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-doc-html
Architecture: all
Depends: qt6-sensors-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-examples
Architecture: all
Depends: qt6-sensors-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-sensors 6.10.0

=== debian/changelog ===
qt6-sensors (6.10.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 08:59:42 +0000

qt6-sensors (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:21 +1000

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,15 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qml6-module-qtquick (>= 6.9.3~),
-               qml6-module-qttest (>= 6.9.3~),
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-svg-dev (>= 6.9.3~),
+               qml6-module-qtquick (>= 6.10.0~),
+               qml6-module-qttest (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtsensors-everywhere-src-([\d\.]+\d).tar.xz

## qt6-sensors 6.10.1

=== debian/changelog ===
qt6-sensors (6.10.1-0zneon+24.04+noble+unstable+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 05:40:50 +0000

qt6-sensors (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qml6-module-qtquick (>= 6.10.0~),
-               qml6-module-qttest (>= 6.10.0~),
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-svg-dev (>= 6.10.0~),
+               qml6-module-qtquick (>= 6.10.1~),
+               qml6-module-qttest (>= 6.10.~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-svg-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,

## qt6-sensors 6.10.2

=== debian/changelog ===
qt6-sensors (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Feb 2026 22:44:43 +0100

=== debian/control ===
Source: qt6-sensors
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-svg-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git

Package: libqt6sensors6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: qml6-module-qtsensors
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt6sensorsquick6 (<< 6.6.1-2),
Replaces: libqt6sensorsquick6 (<< 6.6.1-2),
Description: Qt 6 Sensors QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Sensors QML module for Qt Declarative.

Package: qt6-sensors-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6sensors6 (= ${binary:Version}),
         qml6-module-qtsensors (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6sensors6-dev (<< 6.4.1-2~),
Replaces: libqt6sensors6-dev (<< 6.4.1-2~),
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.

Package: qt6-sensors-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Description: Qt 6 Sensors documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Sensors.

Package: qt6-sensors-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Description: Qt 6 Sensors HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Sensors.

Package: qt6-sensors-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev,
         ${misc:Depends},
Description: Qt 6 Sensors tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Sensors
 documentation.

Package: qt6-sensors-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Sensors examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Sensors submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtsensors-everywhere-src-(.*)\.tar\.xz
